window.Gleam.initSearch([{"doc":"tallgrass","title":"tallgrass","content":"# tallgrass\n\n[![Package Version](https://img.shields.io/hexpm/v/tallgrass)](https://hex.pm/packages/tallgrass)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/tallgrass/)\n\nThe `tallgrass` package is a Gleam wrapper for the [PokeAPI](https://pokeapi.co).\n\nIt doesn&#39;t currently support paginated resource lists nor the majority of endpoints outside\nof the `Pokemon` endpoint group, such as `locations`, `machines`, `moves`, et al.\n\nAs such, the `tallgrass` package is not yet at v1.0.0, and breaking changes should be expected\nuntil it is.\n\n```sh\ngleam add tallgrass\n```\n```gleam\nimport tallgrass/client/pokemon\n\npub fn main() {\n  let assert Ok(ditto) = pokemon.fetch_by_id(132)\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/tallgrass&gt;.\n\n## Development\n\n```sh\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"tallgrass/client/ability","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(Ability, Error)\n Fetches a pokemon ability by the ability ID.\n\n # Example\n\n \n let result = ability.fetch_by_id(32)\n \nSynonyms:\ntallgrass/client/ability.fetch_by_id\ntallgrass/client/ability fetch_by_id","url":"tallgrass/client/ability.html#fetch_by_id"},{"doc":"tallgrass/client/ability","title":"fetch_by_name","content":"pub fn fetch_by_name(name: String) -&gt; Result(Ability, Error)\n Fetches a pokemon ability by the ability name.\n\n # Example\n\n \n let result = ability.fetch_by_name(&quot;serene-grace&quot;)\n \nSynonyms:\ntallgrass/client/ability.fetch_by_name\ntallgrass/client/ability fetch_by_name","url":"tallgrass/client/ability.html#fetch_by_name"},{"doc":"tallgrass/client/ability","title":"tallgrass/client/ability","content":"","url":"tallgrass/client/ability.html"},{"doc":"tallgrass/client/berry","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(Berry, Error)\n Fetches a berry by the berry ID.\n\n # Example\n\n \n let result = berry.fetch_by_id(1)\n \nSynonyms:\ntallgrass/client/berry.fetch_by_id\ntallgrass/client/berry fetch_by_id","url":"tallgrass/client/berry.html#fetch_by_id"},{"doc":"tallgrass/client/berry","title":"fetch_by_name","content":"pub fn fetch_by_name(name: String) -&gt; Result(Berry, Error)\n Fetches a berry by the berry name.\n\n # Example\n\n \n let result = berry.fetch_by_name(&quot;cheri&quot;)\n \nSynonyms:\ntallgrass/client/berry.fetch_by_name\ntallgrass/client/berry fetch_by_name","url":"tallgrass/client/berry.html#fetch_by_name"},{"doc":"tallgrass/client/berry","title":"tallgrass/client/berry","content":"","url":"tallgrass/client/berry.html"},{"doc":"tallgrass/client/berry_firmness","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(Firmness, Error)\n Fetches a berry firmness by the firmness ID.\n\n # Example\n\n \n let result = berry_firmness.fetch_by_id(1)\n \nSynonyms:\ntallgrass/client/berry_firmness.fetch_by_id\ntallgrass/client/berry_firmness fetch_by_id","url":"tallgrass/client/berry_firmness.html#fetch_by_id"},{"doc":"tallgrass/client/berry_firmness","title":"fetch_by_name","content":"pub fn fetch_by_name(name: String) -&gt; Result(Firmness, Error)\n Fetches a berry firmness by the firmness name.\n\n # Example\n\n \n let result = berry_firmness.fetch_by_name(&quot;very-soft&quot;)\n \nSynonyms:\ntallgrass/client/berry_firmness.fetch_by_name\ntallgrass/client/berry_firmness fetch_by_name","url":"tallgrass/client/berry_firmness.html#fetch_by_name"},{"doc":"tallgrass/client/berry_firmness","title":"tallgrass/client/berry_firmness","content":"","url":"tallgrass/client/berry_firmness.html"},{"doc":"tallgrass/client/berry_flavor","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(Flavor, Error)\n Fetches a berry flavor by the flavor ID.\n\n # Example\n\n \n let result = berry_flavor.fetch_by_id(1)\n \nSynonyms:\ntallgrass/client/berry_flavor.fetch_by_id\ntallgrass/client/berry_flavor fetch_by_id","url":"tallgrass/client/berry_flavor.html#fetch_by_id"},{"doc":"tallgrass/client/berry_flavor","title":"fetch_by_name","content":"pub fn fetch_by_name(name: String) -&gt; Result(Flavor, Error)\n Fetches a berry flavor by the flavor name.\n\n # Example\n\n \n let result = berry_flavor.fetch_by_name(&quot;spicy&quot;)\n \nSynonyms:\ntallgrass/client/berry_flavor.fetch_by_name\ntallgrass/client/berry_flavor fetch_by_name","url":"tallgrass/client/berry_flavor.html#fetch_by_name"},{"doc":"tallgrass/client/berry_flavor","title":"tallgrass/client/berry_flavor","content":"","url":"tallgrass/client/berry_flavor.html"},{"doc":"tallgrass/client/characteristic","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(Characteristic, Error)\n Fetches a pokemon characteristic by the characteristic ID.\n\n # Example\n\n \n let result = characteristic.fetch_by_id(1)\n \nSynonyms:\ntallgrass/client/characteristic.fetch_by_id\ntallgrass/client/characteristic fetch_by_id","url":"tallgrass/client/characteristic.html#fetch_by_id"},{"doc":"tallgrass/client/characteristic","title":"tallgrass/client/characteristic","content":"","url":"tallgrass/client/characteristic.html"},{"doc":"tallgrass/client/color","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(Color, Error)\n Fetches a pokemon color by the color ID.\n\n # Example\n\n \n let result = color.fetch_by_id(9)\n \nSynonyms:\ntallgrass/client/color.fetch_by_id\ntallgrass/client/color fetch_by_id","url":"tallgrass/client/color.html#fetch_by_id"},{"doc":"tallgrass/client/color","title":"fetch_by_name","content":"pub fn fetch_by_name(name: String) -&gt; Result(Color, Error)\n Fetches a pokemon color by the color name.\n\n # Example\n\n \n let result = color.fetch_by_name(&quot;white&quot;)\n \nSynonyms:\ntallgrass/client/color.fetch_by_name\ntallgrass/client/color fetch_by_name","url":"tallgrass/client/color.html#fetch_by_name"},{"doc":"tallgrass/client/color","title":"tallgrass/client/color","content":"","url":"tallgrass/client/color.html"},{"doc":"tallgrass/client/contest_effect","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(ContestEffect, Error)\n Fetches a contest effect by the effect ID.\n\n # Example\n\n \n let result = contest_effect.fetch_by_id(1)\n \nSynonyms:\ntallgrass/client/contest_effect.fetch_by_id\ntallgrass/client/contest_effect fetch_by_id","url":"tallgrass/client/contest_effect.html#fetch_by_id"},{"doc":"tallgrass/client/contest_effect","title":"tallgrass/client/contest_effect","content":"","url":"tallgrass/client/contest_effect.html"},{"doc":"tallgrass/client/contest_type","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(ContestType, Error)\n Fetches a contest type by the type ID.\n\n # Example\n\n \n let result = contest_type.fetch_by_id(1)\n \nSynonyms:\ntallgrass/client/contest_type.fetch_by_id\ntallgrass/client/contest_type fetch_by_id","url":"tallgrass/client/contest_type.html#fetch_by_id"},{"doc":"tallgrass/client/contest_type","title":"fetch_by_name","content":"pub fn fetch_by_name(name: String) -&gt; Result(ContestType, Error)\n Fetches a contest type by the type name.\n\n # Example\n\n \n let result = contest_type.fetch_by_name(&quot;cool&quot;)\n \nSynonyms:\ntallgrass/client/contest_type.fetch_by_name\ntallgrass/client/contest_type fetch_by_name","url":"tallgrass/client/contest_type.html#fetch_by_name"},{"doc":"tallgrass/client/contest_type","title":"tallgrass/client/contest_type","content":"","url":"tallgrass/client/contest_type.html"},{"doc":"tallgrass/client/egg_group","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(EggGroup, Error)\n Fetches a pokemon egg group by the egg group ID.\n\n # Example\n\n \n let result = egg_group.fetch_by_id(13)\n \nSynonyms:\ntallgrass/client/egg_group.fetch_by_id\ntallgrass/client/egg_group fetch_by_id","url":"tallgrass/client/egg_group.html#fetch_by_id"},{"doc":"tallgrass/client/egg_group","title":"fetch_by_name","content":"pub fn fetch_by_name(name: String) -&gt; Result(EggGroup, Error)\n Fetches a pokemon egg group by the egg group name.\n\n # Example\n\n \n let result = egg_group.fetch_by_name(&quot;ditto&quot;)\n \nSynonyms:\ntallgrass/client/egg_group.fetch_by_name\ntallgrass/client/egg_group fetch_by_name","url":"tallgrass/client/egg_group.html#fetch_by_name"},{"doc":"tallgrass/client/egg_group","title":"tallgrass/client/egg_group","content":"","url":"tallgrass/client/egg_group.html"},{"doc":"tallgrass/client/encounter_condition","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(EncounterCondition, Error)\n Fetches an encounter condition by the condition ID.\n\n # Example\n\n \n let result = encounter_condition.fetch_by_id(1)\n \nSynonyms:\ntallgrass/client/encounter_condition.fetch_by_id\ntallgrass/client/encounter_condition fetch_by_id","url":"tallgrass/client/encounter_condition.html#fetch_by_id"},{"doc":"tallgrass/client/encounter_condition","title":"fetch_by_name","content":"pub fn fetch_by_name(\n  name: String,\n) -&gt; Result(EncounterCondition, Error)\n Fetches an encounter condition by the condition name.\n\n # Example\n\n \n let result = encounter_condition.fetch_by_name(&quot;swarm&quot;)\n \nSynonyms:\ntallgrass/client/encounter_condition.fetch_by_name\ntallgrass/client/encounter_condition fetch_by_name","url":"tallgrass/client/encounter_condition.html#fetch_by_name"},{"doc":"tallgrass/client/encounter_condition","title":"tallgrass/client/encounter_condition","content":"","url":"tallgrass/client/encounter_condition.html"},{"doc":"tallgrass/client/encounter_condition_value","title":"fetch_by_id","content":"pub fn fetch_by_id(\n  id: Int,\n) -&gt; Result(EncounterConditionValue, Error)\n Fetches an encounter condition value by ID.\n\n # Example\n\n \n let result = encounter_condition_value.fetch_by_id(1)\n \nSynonyms:\ntallgrass/client/encounter_condition_value.fetch_by_id\ntallgrass/client/encounter_condition_value fetch_by_id","url":"tallgrass/client/encounter_condition_value.html#fetch_by_id"},{"doc":"tallgrass/client/encounter_condition_value","title":"fetch_by_name","content":"pub fn fetch_by_name(\n  name: String,\n) -&gt; Result(EncounterConditionValue, Error)\n Fetches an encounter condition value by name.\n\n # Example\n\n \n let result = encounter_condition_value.fetch_by_name(&quot;swarm-yes&quot;)\n \nSynonyms:\ntallgrass/client/encounter_condition_value.fetch_by_name\ntallgrass/client/encounter_condition_value fetch_by_name","url":"tallgrass/client/encounter_condition_value.html#fetch_by_name"},{"doc":"tallgrass/client/encounter_condition_value","title":"tallgrass/client/encounter_condition_value","content":"","url":"tallgrass/client/encounter_condition_value.html"},{"doc":"tallgrass/client/encounter_method","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(EncounterMethod, Error)\n Fetches an encounter method by the method ID.\n\n # Example\n\n \n let result = encounter_method.fetch_by_id(1)\n \nSynonyms:\ntallgrass/client/encounter_method.fetch_by_id\ntallgrass/client/encounter_method fetch_by_id","url":"tallgrass/client/encounter_method.html#fetch_by_id"},{"doc":"tallgrass/client/encounter_method","title":"fetch_by_name","content":"pub fn fetch_by_name(\n  name: String,\n) -&gt; Result(EncounterMethod, Error)\n Fetches an encounter method by the method name.\n\n # Example\n\n \n let result = encounter_method.fetch_by_name(&quot;walk&quot;)\n \nSynonyms:\ntallgrass/client/encounter_method.fetch_by_name\ntallgrass/client/encounter_method fetch_by_name","url":"tallgrass/client/encounter_method.html#fetch_by_name"},{"doc":"tallgrass/client/encounter_method","title":"tallgrass/client/encounter_method","content":"","url":"tallgrass/client/encounter_method.html"},{"doc":"tallgrass/client/form","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(Form, Error)\n Fetches a pokemon form by the form ID.\n\n # Example\n\n \n let result = form.fetch_by_id(10143)\n \nSynonyms:\ntallgrass/client/form.fetch_by_id\ntallgrass/client/form fetch_by_id","url":"tallgrass/client/form.html#fetch_by_id"},{"doc":"tallgrass/client/form","title":"fetch_by_name","content":"pub fn fetch_by_name(name: String) -&gt; Result(Form, Error)\n Fetches a pokemon form by the form name.\n\n # Example\n\n \n let result = form.fetch_by_name(&quot;mewtwo-mega-x&quot;)\n \nSynonyms:\ntallgrass/client/form.fetch_by_name\ntallgrass/client/form fetch_by_name","url":"tallgrass/client/form.html#fetch_by_name"},{"doc":"tallgrass/client/form","title":"tallgrass/client/form","content":"","url":"tallgrass/client/form.html"},{"doc":"tallgrass/client/gender","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(Gender, Error)\n Fetches a pokemon gender by the gender ID.\n\n # Example\n\n \n let result = gender.fetch_by_id(1)\n \nSynonyms:\ntallgrass/client/gender.fetch_by_id\ntallgrass/client/gender fetch_by_id","url":"tallgrass/client/gender.html#fetch_by_id"},{"doc":"tallgrass/client/gender","title":"fetch_by_name","content":"pub fn fetch_by_name(name: String) -&gt; Result(Gender, Error)\n Fetches a pokemon gender by the gender name.\n\n # Example\n\n \n let result = gender.fetch_by_name(&quot;genderless&quot;)\n \nSynonyms:\ntallgrass/client/gender.fetch_by_name\ntallgrass/client/gender fetch_by_name","url":"tallgrass/client/gender.html#fetch_by_name"},{"doc":"tallgrass/client/gender","title":"tallgrass/client/gender","content":"","url":"tallgrass/client/gender.html"},{"doc":"tallgrass/client/growth_rate","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(GrowthRate, Error)\n Fetches a pokemon growth rate by the growth rate ID.\n\n # Example\n\n \n let result = growth_rate.fetch_by_id(1)\n \nSynonyms:\ntallgrass/client/growth_rate.fetch_by_id\ntallgrass/client/growth_rate fetch_by_id","url":"tallgrass/client/growth_rate.html#fetch_by_id"},{"doc":"tallgrass/client/growth_rate","title":"fetch_by_name","content":"pub fn fetch_by_name(name: String) -&gt; Result(GrowthRate, Error)\n Fetches a pokemon growth rate by the growth rate name.\n\n # Example\n\n \n let result = growth_rate.fetch_by_name(&quot;slow&quot;)\n \nSynonyms:\ntallgrass/client/growth_rate.fetch_by_name\ntallgrass/client/growth_rate fetch_by_name","url":"tallgrass/client/growth_rate.html#fetch_by_name"},{"doc":"tallgrass/client/growth_rate","title":"tallgrass/client/growth_rate","content":"","url":"tallgrass/client/growth_rate.html"},{"doc":"tallgrass/client/habitat","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(Habitat, Error)\n Fetches a pokemon habitat by the habitat ID.\n\n # Example\n\n \n let result = habitat.fetch_by_id(1)\n \nSynonyms:\ntallgrass/client/habitat.fetch_by_id\ntallgrass/client/habitat fetch_by_id","url":"tallgrass/client/habitat.html#fetch_by_id"},{"doc":"tallgrass/client/habitat","title":"fetch_by_name","content":"pub fn fetch_by_name(name: String) -&gt; Result(Habitat, Error)\n Fetches a pokemon habitat by the habitat name.\n\n # Example\n\n \n let result = habitat.fetch_by_name(&quot;cave&quot;)\n \nSynonyms:\ntallgrass/client/habitat.fetch_by_name\ntallgrass/client/habitat fetch_by_name","url":"tallgrass/client/habitat.html#fetch_by_name"},{"doc":"tallgrass/client/habitat","title":"tallgrass/client/habitat","content":"","url":"tallgrass/client/habitat.html"},{"doc":"tallgrass/client/location_area","title":"fetch_for_pokemon_with_id","content":"pub fn fetch_for_pokemon_with_id(\n  id: Int,\n) -&gt; Result(List(LocationArea), Error)\n Fetches location areas for a given pokemon ID.\n\n # Example\n\n \n let result = location_area.fetch_for_pokemon_with_id(1)\n \nSynonyms:\ntallgrass/client/location_area.fetch_for_pokemon_with_id\ntallgrass/client/location_area fetch_for_pokemon_with_id","url":"tallgrass/client/location_area.html#fetch_for_pokemon_with_id"},{"doc":"tallgrass/client/location_area","title":"fetch_for_pokemon_with_name","content":"pub fn fetch_for_pokemon_with_name(\n  name: String,\n) -&gt; Result(List(LocationArea), Error)\n Fetches location areas for a given pokemon name.\n\n # Example\n\n \n let result = location_area.fetch_for_pokemon_with_name(&quot;bulbasaur&quot;)\n \nSynonyms:\ntallgrass/client/location_area.fetch_for_pokemon_with_name\ntallgrass/client/location_area fetch_for_pokemon_with_name","url":"tallgrass/client/location_area.html#fetch_for_pokemon_with_name"},{"doc":"tallgrass/client/location_area","title":"tallgrass/client/location_area","content":"","url":"tallgrass/client/location_area.html"},{"doc":"tallgrass/client/nature","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(Nature, Error)\n Fetches a pokemon nature by the nature ID.\n\n # Example\n\n \n let result = nature.fetch_by_id(1)\n \nSynonyms:\ntallgrass/client/nature.fetch_by_id\ntallgrass/client/nature fetch_by_id","url":"tallgrass/client/nature.html#fetch_by_id"},{"doc":"tallgrass/client/nature","title":"fetch_by_name","content":"pub fn fetch_by_name(name: String) -&gt; Result(Nature, Error)\n Fetches a pokemon nature by the nature name.\n\n # Example\n\n \n let result = nature.fetch_by_name(&quot;hardy&quot;)\n \nSynonyms:\ntallgrass/client/nature.fetch_by_name\ntallgrass/client/nature fetch_by_name","url":"tallgrass/client/nature.html#fetch_by_name"},{"doc":"tallgrass/client/nature","title":"tallgrass/client/nature","content":"","url":"tallgrass/client/nature.html"},{"doc":"tallgrass/client/pokeathlon_stat","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(PokeathlonStat, Error)\n Fetches a pokemon pokeathlon stat by the pokeathlon stat ID.\n\n # Example\n\n \n let result = pokeathlon_stat.fetch_by_id(1)\n \nSynonyms:\ntallgrass/client/pokeathlon_stat.fetch_by_id\ntallgrass/client/pokeathlon_stat fetch_by_id","url":"tallgrass/client/pokeathlon_stat.html#fetch_by_id"},{"doc":"tallgrass/client/pokeathlon_stat","title":"fetch_by_name","content":"pub fn fetch_by_name(\n  name: String,\n) -&gt; Result(PokeathlonStat, Error)\n Fetches a pokemon pokeathlon stat by the pokeathlon stat name.\n\n # Example\n\n \n let result = pokeathlon_stat.fetch_by_name(&quot;skill&quot;)\n \nSynonyms:\ntallgrass/client/pokeathlon_stat.fetch_by_name\ntallgrass/client/pokeathlon_stat fetch_by_name","url":"tallgrass/client/pokeathlon_stat.html#fetch_by_name"},{"doc":"tallgrass/client/pokeathlon_stat","title":"tallgrass/client/pokeathlon_stat","content":"","url":"tallgrass/client/pokeathlon_stat.html"},{"doc":"tallgrass/client/pokemon","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(Pokemon, Error)\n Fetches a pokemon by the pokemon ID.\n\n # Example\n\n \n let result = pokemon.fetch_by_id(132)\n \nSynonyms:\ntallgrass/client/pokemon.fetch_by_id\ntallgrass/client/pokemon fetch_by_id","url":"tallgrass/client/pokemon.html#fetch_by_id"},{"doc":"tallgrass/client/pokemon","title":"fetch_by_name","content":"pub fn fetch_by_name(name: String) -&gt; Result(Pokemon, Error)\n Fetches a pokemon by the pokemon name.\n\n # Example\n\n \n let result = pokemon.fetch_by_name(&quot;ditto&quot;)\n \nSynonyms:\ntallgrass/client/pokemon.fetch_by_name\ntallgrass/client/pokemon fetch_by_name","url":"tallgrass/client/pokemon.html#fetch_by_name"},{"doc":"tallgrass/client/pokemon","title":"tallgrass/client/pokemon","content":"","url":"tallgrass/client/pokemon.html"},{"doc":"tallgrass/client/pokemon_type","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(PokemonType, Error)\n Fetches a pokemon type by the pokemon type ID.\n\n # Example\n\n \n let result = pokemon_type.fetch_by_id(1)\n \nSynonyms:\ntallgrass/client/pokemon_type.fetch_by_id\ntallgrass/client/pokemon_type fetch_by_id","url":"tallgrass/client/pokemon_type.html#fetch_by_id"},{"doc":"tallgrass/client/pokemon_type","title":"fetch_by_name","content":"pub fn fetch_by_name(name: String) -&gt; Result(PokemonType, Error)\n Fetches a pokemon type by the pokemon type name.\n\n # Example\n\n \n let result = pokemon_type.fetch_by_name(&quot;fairy&quot;)\n \nSynonyms:\ntallgrass/client/pokemon_type.fetch_by_name\ntallgrass/client/pokemon_type fetch_by_name","url":"tallgrass/client/pokemon_type.html#fetch_by_name"},{"doc":"tallgrass/client/pokemon_type","title":"tallgrass/client/pokemon_type","content":"","url":"tallgrass/client/pokemon_type.html"},{"doc":"tallgrass/client/shape","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(Shape, Error)\n Fetches a pokemon shape by the shape ID.\n\n # Example\n\n \n let result = shape.fetch_by_id(1)\n \nSynonyms:\ntallgrass/client/shape.fetch_by_id\ntallgrass/client/shape fetch_by_id","url":"tallgrass/client/shape.html#fetch_by_id"},{"doc":"tallgrass/client/shape","title":"fetch_by_name","content":"pub fn fetch_by_name(name: String) -&gt; Result(Shape, Error)\n Fetches a pokemon shape by the shape name.\n\n # Example\n\n \n let result = shape.fetch_by_name(&quot;ball&quot;)\n \nSynonyms:\ntallgrass/client/shape.fetch_by_name\ntallgrass/client/shape fetch_by_name","url":"tallgrass/client/shape.html#fetch_by_name"},{"doc":"tallgrass/client/shape","title":"tallgrass/client/shape","content":"","url":"tallgrass/client/shape.html"},{"doc":"tallgrass/client/species","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(Species, Error)\n Fetches a pokemon species by the species ID.\n\n # Example\n\n \n let result = species.fetch_by_id(132)\n \nSynonyms:\ntallgrass/client/species.fetch_by_id\ntallgrass/client/species fetch_by_id","url":"tallgrass/client/species.html#fetch_by_id"},{"doc":"tallgrass/client/species","title":"fetch_by_name","content":"pub fn fetch_by_name(name: String) -&gt; Result(Species, Error)\n Fetches a pokemon species by the species name.\n\n # Example\n\n \n let result = species.fetch_by_name(&quot;ditto&quot;)\n \nSynonyms:\ntallgrass/client/species.fetch_by_name\ntallgrass/client/species fetch_by_name","url":"tallgrass/client/species.html#fetch_by_name"},{"doc":"tallgrass/client/species","title":"tallgrass/client/species","content":"","url":"tallgrass/client/species.html"},{"doc":"tallgrass/client/stat","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(Stat, Error)\n Fetches a pokemon stat by the stat ID.\n\n # Example\n\n \n let result = stat.fetch_by_id(1)\n \nSynonyms:\ntallgrass/client/stat.fetch_by_id\ntallgrass/client/stat fetch_by_id","url":"tallgrass/client/stat.html#fetch_by_id"},{"doc":"tallgrass/client/stat","title":"fetch_by_name","content":"pub fn fetch_by_name(name: String) -&gt; Result(Stat, Error)\n Fetches a pokemon stat by the stat name.\n\n # Example\n\n \n let result = stat.fetch_by_name(&quot;hp&quot;)\n \nSynonyms:\ntallgrass/client/stat.fetch_by_name\ntallgrass/client/stat fetch_by_name","url":"tallgrass/client/stat.html#fetch_by_name"},{"doc":"tallgrass/client/stat","title":"tallgrass/client/stat","content":"","url":"tallgrass/client/stat.html"},{"doc":"tallgrass/client/super_contest_effect","title":"fetch_by_id","content":"pub fn fetch_by_id(id: Int) -&gt; Result(SuperContestEffect, Error)\n Fetches a super contest effect by the effect ID.\n\n # Example\n\n \n let result = super_contest_effect.fetch_by_id(1)\n \nSynonyms:\ntallgrass/client/super_contest_effect.fetch_by_id\ntallgrass/client/super_contest_effect fetch_by_id","url":"tallgrass/client/super_contest_effect.html#fetch_by_id"},{"doc":"tallgrass/client/super_contest_effect","title":"tallgrass/client/super_contest_effect","content":"","url":"tallgrass/client/super_contest_effect.html"}]);